<mat-tab-group>
  <mat-tab i18n-label label="All Loads">
    <div class='loads'>
      <div *ngIf='userRole === "SHIPPER"' class='loads__btn'>
        <button mat-raised-button color="primary" (click)="openDialog()" i18n>Add New Load</button>
      </div>

      <table mat-table matSort [dataSource]="loads" (matSortChange)="announceSortChange($event)">

        <ng-container matColumnDef="index">
          <th mat-header-cell *matHeaderCellDef> # </th>
          <td mat-cell *matCellDef="let index = index">{{(index + 1) + (paginator.pageIndex * paginator.pageSize) }}</td>
        </ng-container>

        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by name" i18n> LOAD NAME </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>

        <ng-container matColumnDef="date">
          <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by date" i18n> CREATED DATE </th>
          <td mat-cell *matCellDef="let element"> {{element.created_date | date:'h:mm:ss LLL, dd, yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
          <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by status" i18n> STATUS </th>
          <td mat-cell *matCellDef="let element"> {{element.status}} </td>
        </ng-container>

        <ng-container matColumnDef="pickup">
          <th mat-header-cell *matHeaderCellDef i18n> PICK-UP ADDRESS </th>
          <td mat-cell *matCellDef="let element"> {{element.pickup_address}} </td>
        </ng-container>

        <ng-container matColumnDef="delivery">
          <th mat-header-cell *matHeaderCellDef i18n> DELIVERY ADDRESS </th>
          <td mat-cell *matCellDef="let element"> {{element.delivery_address}} </td>
        </ng-container>

        <ng-container matColumnDef="state">
          <th mat-header-cell *matHeaderCellDef i18n> STATE </th>
          <td mat-cell *matCellDef="let element"> {{element.state}} </td>
        </ng-container>


        <ng-container matColumnDef="edit">
          <th class='edit' mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element">
            <button
              *ngIf='element.status === "NEW"'
              mat-icon-button color="primary"
              matTooltip='Edit Load'
              aria-label="Example icon button with a home icon"
              (click)='editLoad($event)'>
              <mat-icon>edit</mat-icon>
            </button>
          </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class='loads__row' [ngClass]='{"lightGreen": row.status !== "NEW" && row.status !== "SHIPPED"}' mat-row *matRowDef="let row; columns: displayedColumns;" (click)='openLoad(row)'></tr>
      </table>

      <mat-paginator #paginator [length]="length"
                     [pageSize]="pageSize"
                     [pageSizeOptions]="pageSizeOptions"
                     (page)="handlePageEvent($event)"
                     aria-label="Select page">
      </mat-paginator>

    </div>
  </mat-tab>
  <mat-tab *ngIf='userRole === "DRIVER"' i18n-label label="Active Load">
    <app-active-loads></app-active-loads>
  </mat-tab>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</mat-tab-group>
